/**
 * @copyright Copyright (C) DocuSign, Inc.  All rights reserved.
 *
 * This source code is intended only as a supplement to DocuSign SDK
 * and/or on-line documentation.
 * 
 * This sample is designed to demonstrate DocuSign features and is not intended
 * for production use. Code and policy for a production application must be
 * developed to meet the specific data and security requirements of the
 * application.
 *
 * THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
 * KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
 * PARTICULAR PURPOSE.
 */
package net.docusign.api_3_0;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 2.7.6
 * 2013-07-28T17:45:21.908-07:00
 * Generated source version: 2.7.6
 * 
 */
@WebService(targetNamespace = "http://www.docusign.net/API/3.0", name = "APIServiceSoap")
@XmlSeeAlso({ObjectFactory.class})
public interface APIServiceSoap {

    @WebResult(name = "GetAuthenticationTokenResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "GetAuthenticationToken", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.GetAuthenticationToken")
    @WebMethod(operationName = "GetAuthenticationToken", action = "http://www.docusign.net/API/3.0/GetAuthenticationToken")
    @ResponseWrapper(localName = "GetAuthenticationTokenResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.GetAuthenticationTokenResponse")
    public java.lang.String getAuthenticationToken(
        @WebParam(name = "GoToEnvelopeID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String goToEnvelopeID
    );

    @WebResult(name = "RequestRecipientFaxTokenResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestRecipientFaxToken", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestRecipientFaxToken")
    @WebMethod(operationName = "RequestRecipientFaxToken", action = "http://www.docusign.net/API/3.0/RequestRecipientFaxToken")
    @ResponseWrapper(localName = "RequestRecipientFaxTokenResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestRecipientFaxTokenResponse")
    public java.lang.String requestRecipientFaxToken(
        @WebParam(name = "EnvelopeID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeID,
        @WebParam(name = "ClientUserID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String clientUserID,
        @WebParam(name = "Username", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String username,
        @WebParam(name = "Email", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String email,
        @WebParam(name = "AuthenticationAssertion", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.RequestRecipientTokenAuthenticationAssertion authenticationAssertion,
        @WebParam(name = "ClientURLs", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.RequestRecipientTokenClientURLs clientURLs
    );

    @WebResult(name = "RequestTemplatesResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestTemplates", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestTemplates")
    @WebMethod(operationName = "RequestTemplates", action = "http://www.docusign.net/API/3.0/RequestTemplates")
    @ResponseWrapper(localName = "RequestTemplatesResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestTemplatesResponse")
    public net.docusign.api_3_0.EnvelopeTemplates requestTemplates(
        @WebParam(name = "AccountID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String accountID,
        @WebParam(name = "IncludeAdvancedTemplates", targetNamespace = "http://www.docusign.net/API/3.0")
        boolean includeAdvancedTemplates
    );

    @WebResult(name = "DeleteEnvelopesResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "DeleteEnvelopes", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.DeleteEnvelopes")
    @WebMethod(operationName = "DeleteEnvelopes", action = "http://www.docusign.net/API/3.0/DeleteEnvelopes")
    @ResponseWrapper(localName = "DeleteEnvelopesResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.DeleteEnvelopesResponse")
    public boolean deleteEnvelopes(
        @WebParam(name = "Arg", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.DeleteEnvelopesArg arg
    );

    @WebResult(name = "RequestPDFResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestPDF", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestPDF")
    @WebMethod(operationName = "RequestPDF", action = "http://www.docusign.net/API/3.0/RequestPDF")
    @ResponseWrapper(localName = "RequestPDFResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestPDFResponse")
    public net.docusign.api_3_0.EnvelopePDF requestPDF(
        @WebParam(name = "EnvelopeID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeID
    );

    @WebResult(name = "RequestStatusExResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestStatusEx", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestStatusEx")
    @WebMethod(operationName = "RequestStatusEx", action = "http://www.docusign.net/API/3.0/RequestStatusEx")
    @ResponseWrapper(localName = "RequestStatusExResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestStatusExResponse")
    public net.docusign.api_3_0.EnvelopeStatus requestStatusEx(
        @WebParam(name = "EnvelopeID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeID
    );

    @WebResult(name = "RequestDocumentPDFsResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestDocumentPDFs", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestDocumentPDFs")
    @WebMethod(operationName = "RequestDocumentPDFs", action = "http://www.docusign.net/API/3.0/RequestDocumentPDFs")
    @ResponseWrapper(localName = "RequestDocumentPDFsResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestDocumentPDFsResponse")
    public net.docusign.api_3_0.DocumentPDFs requestDocumentPDFs(
        @WebParam(name = "EnvelopeID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeID
    );

    @WebResult(name = "RequestStatusesExResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestStatusesEx", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestStatusesEx")
    @WebMethod(operationName = "RequestStatusesEx", action = "http://www.docusign.net/API/3.0/RequestStatusesEx")
    @ResponseWrapper(localName = "RequestStatusesExResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestStatusesExResponse")
    public net.docusign.api_3_0.FilteredEnvelopeStatuses requestStatusesEx(
        @WebParam(name = "EnvelopeStatusFilter", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.EnvelopeStatusFilter envelopeStatusFilter
    );

    @WebResult(name = "RequestPDFsWithOptionsResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestPDFsWithOptions", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestPDFsWithOptions")
    @WebMethod(operationName = "RequestPDFsWithOptions", action = "http://www.docusign.net/API/3.0/RequestPDFsWithOptions")
    @ResponseWrapper(localName = "RequestPDFsWithOptionsResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestPDFsWithOptionsResponse")
    public net.docusign.api_3_0.DocumentPDFs requestPDFsWithOptions(
        @WebParam(name = "EnvelopeID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeID,
        @WebParam(name = "PDFsOptions", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.PDFsOptions pdFsOptions
    );

    @WebResult(name = "CreateEnvelopeResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "CreateEnvelope", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.CreateEnvelope")
    @WebMethod(operationName = "CreateEnvelope", action = "http://www.docusign.net/API/3.0/CreateEnvelope")
    @ResponseWrapper(localName = "CreateEnvelopeResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.CreateEnvelopeResponse")
    public net.docusign.api_3_0.EnvelopeStatus createEnvelope(
        @WebParam(name = "Envelope", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.Envelope envelope
    );

    @WebResult(name = "GetAccountBrandsResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "GetAccountBrands", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.GetAccountBrands")
    @WebMethod(operationName = "GetAccountBrands", action = "http://www.docusign.net/API/3.0/GetAccountBrands")
    @ResponseWrapper(localName = "GetAccountBrandsResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.GetAccountBrandsResponse")
    public net.docusign.api_3_0.BrandResults getAccountBrands(
        @WebParam(name = "AccountId", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String accountId
    );

    @WebResult(name = "RequestPDFWithOptionsResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestPDFWithOptions", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestPDFWithOptions")
    @WebMethod(operationName = "RequestPDFWithOptions", action = "http://www.docusign.net/API/3.0/RequestPDFWithOptions")
    @ResponseWrapper(localName = "RequestPDFWithOptionsResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestPDFWithOptionsResponse")
    public net.docusign.api_3_0.EnvelopePDF requestPDFWithOptions(
        @WebParam(name = "EnvelopeID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeID,
        @WebParam(name = "PDFOptions", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.PDFOptions pdfOptions
    );

    @WebResult(name = "RequestRecipientTokenResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestRecipientToken", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestRecipientToken")
    @WebMethod(operationName = "RequestRecipientToken", action = "http://www.docusign.net/API/3.0/RequestRecipientToken")
    @ResponseWrapper(localName = "RequestRecipientTokenResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestRecipientTokenResponse")
    public java.lang.String requestRecipientToken(
        @WebParam(name = "EnvelopeID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeID,
        @WebParam(name = "ClientUserID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String clientUserID,
        @WebParam(name = "Username", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String username,
        @WebParam(name = "Email", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String email,
        @WebParam(name = "AuthenticationAssertion", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.RequestRecipientTokenAuthenticationAssertion authenticationAssertion,
        @WebParam(name = "ClientURLs", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.RequestRecipientTokenClientURLs clientURLs
    );

    @WebResult(name = "CreateEnvelopeFromTemplatesResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "CreateEnvelopeFromTemplates", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.CreateEnvelopeFromTemplates")
    @WebMethod(operationName = "CreateEnvelopeFromTemplates", action = "http://www.docusign.net/API/3.0/CreateEnvelopeFromTemplates")
    @ResponseWrapper(localName = "CreateEnvelopeFromTemplatesResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.CreateEnvelopeFromTemplatesResponse")
    public net.docusign.api_3_0.EnvelopeStatus createEnvelopeFromTemplates(
        @WebParam(name = "TemplateReferences", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.ArrayOfTemplateReference templateReferences,
        @WebParam(name = "Recipients", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.ArrayOfRecipient1 recipients,
        @WebParam(name = "EnvelopeInformation", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.EnvelopeInformation envelopeInformation,
        @WebParam(name = "ActivateEnvelope", targetNamespace = "http://www.docusign.net/API/3.0")
        boolean activateEnvelope
    );

    @WebResult(name = "CreateAndSendEnvelopeResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "CreateAndSendEnvelope", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.CreateAndSendEnvelope")
    @WebMethod(operationName = "CreateAndSendEnvelope", action = "http://www.docusign.net/API/3.0/CreateAndSendEnvelope")
    @ResponseWrapper(localName = "CreateAndSendEnvelopeResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.CreateAndSendEnvelopeResponse")
    public net.docusign.api_3_0.EnvelopeStatus createAndSendEnvelope(
        @WebParam(name = "Envelope", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.Envelope envelope
    );

    @WebResult(name = "RequestPDFWithCertResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestPDFWithCert", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestPDFWithCert")
    @WebMethod(operationName = "RequestPDFWithCert", action = "http://www.docusign.net/API/3.0/RequestPDFWithCert")
    @ResponseWrapper(localName = "RequestPDFWithCertResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestPDFWithCertResponse")
    public net.docusign.api_3_0.EnvelopePDF requestPDFWithCert(
        @WebParam(name = "EnvelopeID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeID,
        @WebParam(name = "AddWaterMark", targetNamespace = "http://www.docusign.net/API/3.0")
        boolean addWaterMark
    );

    @WebResult(name = "RequestTemplateResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestTemplate", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestTemplate")
    @WebMethod(operationName = "RequestTemplate", action = "http://www.docusign.net/API/3.0/RequestTemplate")
    @ResponseWrapper(localName = "RequestTemplateResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestTemplateResponse")
    public net.docusign.api_3_0.EnvelopeTemplate requestTemplate(
        @WebParam(name = "TemplateID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String templateID,
        @WebParam(name = "IncludeDocumentBytes", targetNamespace = "http://www.docusign.net/API/3.0")
        boolean includeDocumentBytes
    );

    @WebResult(name = "RequestCorrectTokenResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestCorrectToken", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestCorrectToken")
    @WebMethod(operationName = "RequestCorrectToken", action = "http://www.docusign.net/API/3.0/RequestCorrectToken")
    @ResponseWrapper(localName = "RequestCorrectTokenResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestCorrectTokenResponse")
    public java.lang.String requestCorrectToken(
        @WebParam(name = "EnvelopeID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeID,
        @WebParam(name = "SuppressNavigation", targetNamespace = "http://www.docusign.net/API/3.0")
        boolean suppressNavigation,
        @WebParam(name = "ReturnURL", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String returnURL
    );

    @WebResult(name = "AcknowledgeAuthoritativeCopyExportResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "AcknowledgeAuthoritativeCopyExport", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.AcknowledgeAuthoritativeCopyExport")
    @WebMethod(operationName = "AcknowledgeAuthoritativeCopyExport", action = "http://www.docusign.net/API/3.0/AcknowledgeAuthoritativeCopyExport")
    @ResponseWrapper(localName = "AcknowledgeAuthoritativeCopyExportResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.AcknowledgeAuthoritativeCopyExportResponse")
    public net.docusign.api_3_0.AuthoritativeCopyExportStatus acknowledgeAuthoritativeCopyExport(
        @WebParam(name = "EnvelopeId", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeId,
        @WebParam(name = "TransactionId", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String transactionId,
        @WebParam(name = "checkSumHash", targetNamespace = "http://www.docusign.net/API/3.0")
        byte[] checkSumHash
    );

    @WebResult(name = "UploadTemplateResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "UploadTemplate", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.UploadTemplate")
    @WebMethod(operationName = "UploadTemplate", action = "http://www.docusign.net/API/3.0/UploadTemplate")
    @ResponseWrapper(localName = "UploadTemplateResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.UploadTemplateResponse")
    public net.docusign.api_3_0.SaveTemplateResult uploadTemplate(
        @WebParam(name = "TemplateXML", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String templateXML,
        @WebParam(name = "AccountID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String accountID,
        @WebParam(name = "Shared", targetNamespace = "http://www.docusign.net/API/3.0")
        boolean shared
    );

    @WebResult(name = "DeleteAccountBrandsResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "DeleteAccountBrands", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.DeleteAccountBrands")
    @WebMethod(operationName = "DeleteAccountBrands", action = "http://www.docusign.net/API/3.0/DeleteAccountBrands")
    @ResponseWrapper(localName = "DeleteAccountBrandsResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.DeleteAccountBrandsResponse")
    public net.docusign.api_3_0.BrandResults deleteAccountBrands(
        @WebParam(name = "AccountId", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String accountId,
        @WebParam(name = "BrandDeleteRequest", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.BrandDeleteRequest brandDeleteRequest
    );

    @WebResult(name = "GetFolderItemsResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "GetFolderItems", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.GetFolderItems")
    @WebMethod(operationName = "GetFolderItems", action = "http://www.docusign.net/API/3.0/GetFolderItems")
    @ResponseWrapper(localName = "GetFolderItemsResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.GetFolderItemsResponse")
    public net.docusign.api_3_0.FolderResults getFolderItems(
        @WebParam(name = "FolderFilter", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.FolderFilter folderFilter
    );

    @WebResult(name = "RequestStatusChangesResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestStatusChanges", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestStatusChanges")
    @WebMethod(operationName = "RequestStatusChanges", action = "http://www.docusign.net/API/3.0/RequestStatusChanges")
    @ResponseWrapper(localName = "RequestStatusChangesResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestStatusChangesResponse")
    public net.docusign.api_3_0.FilteredEnvelopeStatusChanges requestStatusChanges(
        @WebParam(name = "EnvelopeStatusChangeFilter", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.EnvelopeStatusChangeFilter envelopeStatusChangeFilter
    );

    @WebResult(name = "CreateEnvelopeFromTemplatesAndFormsResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "CreateEnvelopeFromTemplatesAndForms", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.CreateEnvelopeFromTemplatesAndForms")
    @WebMethod(operationName = "CreateEnvelopeFromTemplatesAndForms", action = "http://www.docusign.net/API/3.0/CreateEnvelopeFromTemplatesAndForms")
    @ResponseWrapper(localName = "CreateEnvelopeFromTemplatesAndFormsResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.CreateEnvelopeFromTemplatesAndFormsResponse")
    public net.docusign.api_3_0.EnvelopeStatus createEnvelopeFromTemplatesAndForms(
        @WebParam(name = "EnvelopeInformation", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.EnvelopeInformation envelopeInformation,
        @WebParam(name = "CompositeTemplates", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.ArrayOfCompositeTemplate compositeTemplates,
        @WebParam(name = "ActivateEnvelope", targetNamespace = "http://www.docusign.net/API/3.0")
        boolean activateEnvelope
    );

    @WebResult(name = "RequestEnvelopeResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestEnvelope", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestEnvelope")
    @WebMethod(operationName = "RequestEnvelope", action = "http://www.docusign.net/API/3.0/RequestEnvelope")
    @ResponseWrapper(localName = "RequestEnvelopeResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestEnvelopeResponse")
    public net.docusign.api_3_0.Envelope requestEnvelope(
        @WebParam(name = "EnvelopeID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeID,
        @WebParam(name = "IncludeDocumentBytes", targetNamespace = "http://www.docusign.net/API/3.0")
        boolean includeDocumentBytes
    );

    @WebResult(name = "RequestStatusCodesResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestStatusCodes", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestStatusCodes")
    @WebMethod(operationName = "RequestStatusCodes", action = "http://www.docusign.net/API/3.0/RequestStatusCodes")
    @ResponseWrapper(localName = "RequestStatusCodesResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestStatusCodesResponse")
    public net.docusign.api_3_0.FilteredEnvelopeStatusChanges requestStatusCodes(
        @WebParam(name = "EnvelopeStatusFilter", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.EnvelopeStatusFilter envelopeStatusFilter
    );

    @WebResult(name = "RequestCertificateResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestCertificate", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestCertificate")
    @WebMethod(operationName = "RequestCertificate", action = "http://www.docusign.net/API/3.0/RequestCertificate")
    @ResponseWrapper(localName = "RequestCertificateResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestCertificateResponse")
    public net.docusign.api_3_0.DocumentPDFs requestCertificate(
        @WebParam(name = "EnvelopeID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeID
    );

    @WebResult(name = "GetAddressBookItemsResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "GetAddressBookItems", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.GetAddressBookItems")
    @WebMethod(operationName = "GetAddressBookItems", action = "http://www.docusign.net/API/3.0/GetAddressBookItems")
    @ResponseWrapper(localName = "GetAddressBookItemsResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.GetAddressBookItemsResponse")
    public net.docusign.api_3_0.ArrayOfAddressBookItem getAddressBookItems(
        @WebParam(name = "AccountID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String accountID
    );

    @WebResult(name = "RequestRecipientFaxPDFResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestRecipientFaxPDF", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestRecipientFaxPDF")
    @WebMethod(operationName = "RequestRecipientFaxPDF", action = "http://www.docusign.net/API/3.0/RequestRecipientFaxPDF")
    @ResponseWrapper(localName = "RequestRecipientFaxPDFResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestRecipientFaxPDFResponse")
    public net.docusign.api_3_0.EnvelopePDF requestRecipientFaxPDF(
        @WebParam(name = "EnvelopeID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeID,
        @WebParam(name = "ClientUserID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String clientUserID,
        @WebParam(name = "Username", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String username,
        @WebParam(name = "Email", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String email,
        @WebParam(name = "AuthenticationAssertion", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.RequestRecipientTokenAuthenticationAssertion authenticationAssertion
    );

    @WebResult(name = "GetConnectFailuresResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "GetConnectFailures", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.GetConnectFailures")
    @WebMethod(operationName = "GetConnectFailures", action = "http://www.docusign.net/API/3.0/GetConnectFailures")
    @ResponseWrapper(localName = "GetConnectFailuresResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.GetConnectFailuresResponse")
    public net.docusign.api_3_0.ArrayOfConnectFailure getConnectFailures(
        @WebParam(name = "ConnectFailuresFilter", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.ConnectFailuresFilter connectFailuresFilter
    );

    @WebResult(name = "GetAccountSettingsListResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "GetAccountSettingsList", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.GetAccountSettingsList")
    @WebMethod(operationName = "GetAccountSettingsList", action = "http://www.docusign.net/API/3.0/GetAccountSettingsList")
    @ResponseWrapper(localName = "GetAccountSettingsListResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.GetAccountSettingsListResponse")
    public net.docusign.api_3_0.AccountSettingsList getAccountSettingsList(
        @WebParam(name = "AccountId", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String accountId
    );

    @WebResult(name = "RequestDocumentPDFsExResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestDocumentPDFsEx", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestDocumentPDFsEx")
    @WebMethod(operationName = "RequestDocumentPDFsEx", action = "http://www.docusign.net/API/3.0/RequestDocumentPDFsEx")
    @ResponseWrapper(localName = "RequestDocumentPDFsExResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestDocumentPDFsExResponse")
    public net.docusign.api_3_0.DocumentPDFs requestDocumentPDFsEx(
        @WebParam(name = "EnvelopeID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeID
    );

    @WebResult(name = "TransferEnvelopeResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "TransferEnvelope", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.TransferEnvelope")
    @WebMethod(operationName = "TransferEnvelope", action = "http://www.docusign.net/API/3.0/TransferEnvelope")
    @ResponseWrapper(localName = "TransferEnvelopeResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.TransferEnvelopeResponse")
    public net.docusign.api_3_0.TransferEnvelopeStatus transferEnvelope(
        @WebParam(name = "EnvelopeID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeID,
        @WebParam(name = "AccountID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String accountID,
        @WebParam(name = "UserID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String userID
    );

    @WebResult(name = "EnvelopeAuditEventsResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "EnvelopeAuditEvents", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.EnvelopeAuditEvents")
    @WebMethod(operationName = "EnvelopeAuditEvents", action = "http://www.docusign.net/API/3.0/EnvelopeAuditEvents")
    @ResponseWrapper(localName = "EnvelopeAuditEventsResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.EnvelopeAuditEventsResponse")
    public net.docusign.api_3_0.EnvelopeAuditEventsResponse.EnvelopeAuditEventsResult envelopeAuditEvents(
        @WebParam(name = "EnvelopeId", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeId
    );

    @WebResult(name = "RequestSenderTokenResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestSenderToken", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestSenderToken")
    @WebMethod(operationName = "RequestSenderToken", action = "http://www.docusign.net/API/3.0/RequestSenderToken")
    @ResponseWrapper(localName = "RequestSenderTokenResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestSenderTokenResponse")
    public java.lang.String requestSenderToken(
        @WebParam(name = "EnvelopeID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeID,
        @WebParam(name = "AccountID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String accountID,
        @WebParam(name = "ReturnURL", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String returnURL
    );

    @WebResult(name = "GetStatusInDocuSignConnectFormatResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "GetStatusInDocuSignConnectFormat", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.GetStatusInDocuSignConnectFormat")
    @WebMethod(operationName = "GetStatusInDocuSignConnectFormat", action = "http://www.docusign.net/API/3.0/GetStatusInDocuSignConnectFormat")
    @ResponseWrapper(localName = "GetStatusInDocuSignConnectFormatResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.GetStatusInDocuSignConnectFormatResponse")
    public net.docusign.api_3_0.DocuSignEnvelopeInformation getStatusInDocuSignConnectFormat(
        @WebParam(name = "EnvelopeID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeID
    );

    @WebResult(name = "GetRecipientListResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "GetRecipientList", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.GetRecipientList")
    @WebMethod(operationName = "GetRecipientList", action = "http://www.docusign.net/API/3.0/GetRecipientList")
    @ResponseWrapper(localName = "GetRecipientListResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.GetRecipientListResponse")
    public net.docusign.api_3_0.RecipientList getRecipientList(
        @WebParam(name = "SenderAccountId", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String senderAccountId,
        @WebParam(name = "RecipientEmail", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String recipientEmail
    );

    @WebResult(name = "UpdateAddressBookItemsResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "UpdateAddressBookItems", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.UpdateAddressBookItems")
    @WebMethod(operationName = "UpdateAddressBookItems", action = "http://www.docusign.net/API/3.0/UpdateAddressBookItems")
    @ResponseWrapper(localName = "UpdateAddressBookItemsResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.UpdateAddressBookItemsResponse")
    public net.docusign.api_3_0.UpdateAddressBookResult updateAddressBookItems(
        @WebParam(name = "AddressBookItems", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.ArrayOfAddressBookItem addressBookItems,
        @WebParam(name = "ReturnAddressBook", targetNamespace = "http://www.docusign.net/API/3.0")
        boolean returnAddressBook
    );

    @WebResult(name = "RemoveAddressBookItemsResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RemoveAddressBookItems", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RemoveAddressBookItems")
    @WebMethod(operationName = "RemoveAddressBookItems", action = "http://www.docusign.net/API/3.0/RemoveAddressBookItems")
    @ResponseWrapper(localName = "RemoveAddressBookItemsResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RemoveAddressBookItemsResponse")
    public net.docusign.api_3_0.UpdateAddressBookResult removeAddressBookItems(
        @WebParam(name = "AddressBookRemoveItems", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.ArrayOfAddressBookRemoveItem addressBookRemoveItems,
        @WebParam(name = "ReturnAddressBook", targetNamespace = "http://www.docusign.net/API/3.0")
        boolean returnAddressBook
    );

    @WebResult(name = "SynchEnvelopeResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "SynchEnvelope", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.SynchEnvelope")
    @WebMethod(operationName = "SynchEnvelope", action = "http://www.docusign.net/API/3.0/SynchEnvelope")
    @ResponseWrapper(localName = "SynchEnvelopeResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.SynchEnvelopeResponse")
    public net.docusign.api_3_0.SynchEnvelopeStatus synchEnvelope(
        @WebParam(name = "TransactionID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String transactionID,
        @WebParam(name = "AccountID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String accountID,
        @WebParam(name = "Block", targetNamespace = "http://www.docusign.net/API/3.0")
        boolean block
    );

    @WebResult(name = "VoidEnvelopeResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "VoidEnvelope", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.VoidEnvelope")
    @WebMethod(operationName = "VoidEnvelope", action = "http://www.docusign.net/API/3.0/VoidEnvelope")
    @ResponseWrapper(localName = "VoidEnvelopeResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.VoidEnvelopeResponse")
    public net.docusign.api_3_0.VoidEnvelopeStatus voidEnvelope(
        @WebParam(name = "EnvelopeID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeID,
        @WebParam(name = "Reason", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String reason
    );

    @WebResult(name = "PurgeDocumentsResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "PurgeDocuments", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.PurgeDocuments")
    @WebMethod(operationName = "PurgeDocuments", action = "http://www.docusign.net/API/3.0/PurgeDocuments")
    @ResponseWrapper(localName = "PurgeDocumentsResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.PurgeDocumentsResponse")
    public net.docusign.api_3_0.PurgeDocumentStatus purgeDocuments(
        @WebParam(name = "EnvelopeID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeID
    );

    @WebResult(name = "RequestTemplateListResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestTemplateList", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestTemplateList")
    @WebMethod(operationName = "RequestTemplateList", action = "http://www.docusign.net/API/3.0/RequestTemplateList")
    @ResponseWrapper(localName = "RequestTemplateListResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestTemplateListResponse")
    public net.docusign.api_3_0.ArrayOfEnvelopeTemplate requestTemplateList(
        @WebParam(name = "TemplateIDs", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.ArrayOfString5 templateIDs,
        @WebParam(name = "IncludeDocumentBytes", targetNamespace = "http://www.docusign.net/API/3.0")
        boolean includeDocumentBytes
    );

    @WebResult(name = "MoveEnvelopesResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "MoveEnvelopes", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.MoveEnvelopes")
    @WebMethod(operationName = "MoveEnvelopes", action = "http://www.docusign.net/API/3.0/MoveEnvelopes")
    @ResponseWrapper(localName = "MoveEnvelopesResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.MoveEnvelopesResponse")
    public boolean moveEnvelopes(
        @WebParam(name = "Arg", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.MoveEnvelopesArg arg
    );

    @WebResult(name = "RequestPDFNoWaterMarkResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestPDFNoWaterMark", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestPDFNoWaterMark")
    @WebMethod(operationName = "RequestPDFNoWaterMark", action = "http://www.docusign.net/API/3.0/RequestPDFNoWaterMark")
    @ResponseWrapper(localName = "RequestPDFNoWaterMarkResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestPDFNoWaterMarkResponse")
    public net.docusign.api_3_0.EnvelopePDF requestPDFNoWaterMark(
        @WebParam(name = "EnvelopeID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeID
    );

    @WebResult(name = "SendEnvelopeResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "SendEnvelope", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.SendEnvelope")
    @WebMethod(operationName = "SendEnvelope", action = "http://www.docusign.net/API/3.0/SendEnvelope")
    @ResponseWrapper(localName = "SendEnvelopeResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.SendEnvelopeResponse")
    public net.docusign.api_3_0.EnvelopeStatus sendEnvelope(
        @WebParam(name = "EnvelopeId", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeId,
        @WebParam(name = "AccountId", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String accountId
    );

    @WebResult(name = "GetFolderListResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "GetFolderList", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.GetFolderList")
    @WebMethod(operationName = "GetFolderList", action = "http://www.docusign.net/API/3.0/GetFolderList")
    @ResponseWrapper(localName = "GetFolderListResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.GetFolderListResponse")
    public net.docusign.api_3_0.AvailableFolders getFolderList(
        @WebParam(name = "FoldersFilter", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.FoldersFilter foldersFilter
    );

    @WebResult(name = "RequestStatusesResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestStatuses", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestStatuses")
    @WebMethod(operationName = "RequestStatuses", action = "http://www.docusign.net/API/3.0/RequestStatuses")
    @ResponseWrapper(localName = "RequestStatusesResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestStatusesResponse")
    public net.docusign.api_3_0.FilteredEnvelopeStatuses requestStatuses(
        @WebParam(name = "EnvelopeStatusFilter", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.EnvelopeStatusFilter envelopeStatusFilter
    );

    @WebResult(name = "SaveTemplateResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "SaveTemplate", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.SaveTemplate")
    @WebMethod(operationName = "SaveTemplate", action = "http://www.docusign.net/API/3.0/SaveTemplate")
    @ResponseWrapper(localName = "SaveTemplateResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.SaveTemplateResponse")
    public net.docusign.api_3_0.SaveTemplateResult saveTemplate(
        @WebParam(name = "EnvelopeTemplate", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.EnvelopeTemplate envelopeTemplate
    );

    @WebResult(name = "CorrectAndResendEnvelopeResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "CorrectAndResendEnvelope", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.CorrectAndResendEnvelope")
    @WebMethod(operationName = "CorrectAndResendEnvelope", action = "http://www.docusign.net/API/3.0/CorrectAndResendEnvelope")
    @ResponseWrapper(localName = "CorrectAndResendEnvelopeResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.CorrectAndResendEnvelopeResponse")
    public net.docusign.api_3_0.CorrectionStatus correctAndResendEnvelope(
        @WebParam(name = "Correction", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.Correction correction
    );

    @WebResult(name = "PublishConnectFailuresResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "PublishConnectFailures", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.PublishConnectFailures")
    @WebMethod(operationName = "PublishConnectFailures", action = "http://www.docusign.net/API/3.0/PublishConnectFailures")
    @ResponseWrapper(localName = "PublishConnectFailuresResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.PublishConnectFailuresResponse")
    public net.docusign.api_3_0.ArrayOfPublishConnectFailuresResult publishConnectFailures(
        @WebParam(name = "PublishConnectFailuresFilter", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.PublishConnectFailuresFilter publishConnectFailuresFilter
    );

    @WebResult(name = "RequestEnvelopeHistoryTokenResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestEnvelopeHistoryToken", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestEnvelopeHistoryToken")
    @WebMethod(operationName = "RequestEnvelopeHistoryToken", action = "http://www.docusign.net/API/3.0/RequestEnvelopeHistoryToken")
    @ResponseWrapper(localName = "RequestEnvelopeHistoryTokenResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestEnvelopeHistoryTokenResponse")
    public java.lang.String requestEnvelopeHistoryToken(
        @WebParam(name = "Arg", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.RequestEnvelopeHistoryTokenArg arg
    );

    @WebResult(name = "RequestStatusResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestStatus", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestStatus")
    @WebMethod(operationName = "RequestStatus", action = "http://www.docusign.net/API/3.0/RequestStatus")
    @ResponseWrapper(localName = "RequestStatusResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestStatusResponse")
    public net.docusign.api_3_0.EnvelopeStatus requestStatus(
        @WebParam(name = "EnvelopeID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeID
    );

    @WebResult(name = "PingResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "Ping", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.Ping")
    @WebMethod(operationName = "Ping", action = "http://www.docusign.net/API/3.0/Ping")
    @ResponseWrapper(localName = "PingResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.PingResponse")
    public boolean ping();

    @WebResult(name = "ExportAuthoritativeCopyResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "ExportAuthoritativeCopy", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.ExportAuthoritativeCopy")
    @WebMethod(operationName = "ExportAuthoritativeCopy", action = "http://www.docusign.net/API/3.0/ExportAuthoritativeCopy")
    @ResponseWrapper(localName = "ExportAuthoritativeCopyResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.ExportAuthoritativeCopyResponse")
    public net.docusign.api_3_0.AuthoritativeCopyExportDocuments exportAuthoritativeCopy(
        @WebParam(name = "EnvelopeId", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeId
    );

    @WebResult(name = "GetRecipientEsignListResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "GetRecipientEsignList", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.GetRecipientEsignList")
    @WebMethod(operationName = "GetRecipientEsignList", action = "http://www.docusign.net/API/3.0/GetRecipientEsignList")
    @ResponseWrapper(localName = "GetRecipientEsignListResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.GetRecipientEsignListResponse")
    public net.docusign.api_3_0.RecipientEsignList getRecipientEsignList(
        @WebParam(name = "UserName", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String userName,
        @WebParam(name = "SenderEmail", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String senderEmail,
        @WebParam(name = "SenderAccountId", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String senderAccountId,
        @WebParam(name = "RecipientEmail", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String recipientEmail
    );

    @WebResult(name = "GetRecipientAuthenticationStatusExResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "GetRecipientAuthenticationStatusEx", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.GetRecipientAuthenticationStatusEx")
    @WebMethod(operationName = "GetRecipientAuthenticationStatusEx", action = "http://www.docusign.net/API/3.0/GetRecipientAuthenticationStatusEx")
    @ResponseWrapper(localName = "GetRecipientAuthenticationStatusExResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.GetRecipientAuthenticationStatusExResponse")
    public net.docusign.api_3_0.AuthenticationStatus getRecipientAuthenticationStatusEx(
        @WebParam(name = "Arg", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.GetRecipientAuthenticationStatusExArg arg
    );

    @WebResult(name = "GetAccountMembershipFeaturesListResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "GetAccountMembershipFeaturesList", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.GetAccountMembershipFeaturesList")
    @WebMethod(operationName = "GetAccountMembershipFeaturesList", action = "http://www.docusign.net/API/3.0/GetAccountMembershipFeaturesList")
    @ResponseWrapper(localName = "GetAccountMembershipFeaturesListResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.GetAccountMembershipFeaturesListResponse")
    public net.docusign.api_3_0.AccountMembershipFeaturesList getAccountMembershipFeaturesList(
        @WebParam(name = "AccountId", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String accountId
    );

    @WebResult(name = "CreateAccountBrandsResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "CreateAccountBrands", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.CreateAccountBrands")
    @WebMethod(operationName = "CreateAccountBrands", action = "http://www.docusign.net/API/3.0/CreateAccountBrands")
    @ResponseWrapper(localName = "CreateAccountBrandsResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.CreateAccountBrandsResponse")
    public net.docusign.api_3_0.BrandResults createAccountBrands(
        @WebParam(name = "AccountId", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String accountId,
        @WebParam(name = "BrandDefinitions", targetNamespace = "http://www.docusign.net/API/3.0")
        net.docusign.api_3_0.BrandDefinitions brandDefinitions
    );

    @WebResult(name = "RequestDocumentPDFsRecipientsViewResult", targetNamespace = "http://www.docusign.net/API/3.0")
    @RequestWrapper(localName = "RequestDocumentPDFsRecipientsView", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestDocumentPDFsRecipientsView")
    @WebMethod(operationName = "RequestDocumentPDFsRecipientsView", action = "http://www.docusign.net/API/3.0/RequestDocumentPDFsRecipientsView")
    @ResponseWrapper(localName = "RequestDocumentPDFsRecipientsViewResponse", targetNamespace = "http://www.docusign.net/API/3.0", className = "net.docusign.api_3_0.RequestDocumentPDFsRecipientsViewResponse")
    public net.docusign.api_3_0.DocumentPDFs requestDocumentPDFsRecipientsView(
        @WebParam(name = "EnvelopeID", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String envelopeID,
        @WebParam(name = "RecipientName", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String recipientName,
        @WebParam(name = "RecipientEmail", targetNamespace = "http://www.docusign.net/API/3.0")
        java.lang.String recipientEmail
    );
}
