/**
 * @copyright Copyright (C) DocuSign, Inc.  All rights reserved.
 *
 * This source code is intended only as a supplement to DocuSign SDK
 * and/or on-line documentation.
 * 
 * This sample is designed to demonstrate DocuSign features and is not intended
 * for production use. Code and policy for a production application must be
 * developed to meet the specific data and security requirements of the
 * application.
 *
 * THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
 * KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
 * PARTICULAR PURPOSE.
 */
package net.docusign.api_3_0;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the net.docusign.api_3_0 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: net.docusign.api_3_0
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link EnvelopeAuditEventsResponse }
     * 
     */
    public EnvelopeAuditEventsResponse createEnvelopeAuditEventsResponse() {
        return new EnvelopeAuditEventsResponse();
    }

    /**
     * Create an instance of {@link GetAccountBrandsResponse }
     * 
     */
    public GetAccountBrandsResponse createGetAccountBrandsResponse() {
        return new GetAccountBrandsResponse();
    }

    /**
     * Create an instance of {@link BrandResults }
     * 
     */
    public BrandResults createBrandResults() {
        return new BrandResults();
    }

    /**
     * Create an instance of {@link RequestCorrectToken }
     * 
     */
    public RequestCorrectToken createRequestCorrectToken() {
        return new RequestCorrectToken();
    }

    /**
     * Create an instance of {@link GetAccountBrands }
     * 
     */
    public GetAccountBrands createGetAccountBrands() {
        return new GetAccountBrands();
    }

    /**
     * Create an instance of {@link RequestPDFsWithOptions }
     * 
     */
    public RequestPDFsWithOptions createRequestPDFsWithOptions() {
        return new RequestPDFsWithOptions();
    }

    /**
     * Create an instance of {@link PDFsOptions }
     * 
     */
    public PDFsOptions createPDFsOptions() {
        return new PDFsOptions();
    }

    /**
     * Create an instance of {@link RequestRecipientFaxTokenResponse }
     * 
     */
    public RequestRecipientFaxTokenResponse createRequestRecipientFaxTokenResponse() {
        return new RequestRecipientFaxTokenResponse();
    }

    /**
     * Create an instance of {@link SendEnvelope }
     * 
     */
    public SendEnvelope createSendEnvelope() {
        return new SendEnvelope();
    }

    /**
     * Create an instance of {@link RequestRecipientFaxToken }
     * 
     */
    public RequestRecipientFaxToken createRequestRecipientFaxToken() {
        return new RequestRecipientFaxToken();
    }

    /**
     * Create an instance of {@link RequestRecipientTokenAuthenticationAssertion }
     * 
     */
    public RequestRecipientTokenAuthenticationAssertion createRequestRecipientTokenAuthenticationAssertion() {
        return new RequestRecipientTokenAuthenticationAssertion();
    }

    /**
     * Create an instance of {@link RequestRecipientTokenClientURLs }
     * 
     */
    public RequestRecipientTokenClientURLs createRequestRecipientTokenClientURLs() {
        return new RequestRecipientTokenClientURLs();
    }

    /**
     * Create an instance of {@link CreateEnvelopeFromTemplates }
     * 
     */
    public CreateEnvelopeFromTemplates createCreateEnvelopeFromTemplates() {
        return new CreateEnvelopeFromTemplates();
    }

    /**
     * Create an instance of {@link ArrayOfTemplateReference }
     * 
     */
    public ArrayOfTemplateReference createArrayOfTemplateReference() {
        return new ArrayOfTemplateReference();
    }

    /**
     * Create an instance of {@link ArrayOfRecipient1 }
     * 
     */
    public ArrayOfRecipient1 createArrayOfRecipient1() {
        return new ArrayOfRecipient1();
    }

    /**
     * Create an instance of {@link EnvelopeInformation }
     * 
     */
    public EnvelopeInformation createEnvelopeInformation() {
        return new EnvelopeInformation();
    }

    /**
     * Create an instance of {@link CorrectAndResendEnvelope }
     * 
     */
    public CorrectAndResendEnvelope createCorrectAndResendEnvelope() {
        return new CorrectAndResendEnvelope();
    }

    /**
     * Create an instance of {@link Correction }
     * 
     */
    public Correction createCorrection() {
        return new Correction();
    }

    /**
     * Create an instance of {@link RequestEnvelope }
     * 
     */
    public RequestEnvelope createRequestEnvelope() {
        return new RequestEnvelope();
    }

    /**
     * Create an instance of {@link RequestStatusCodes }
     * 
     */
    public RequestStatusCodes createRequestStatusCodes() {
        return new RequestStatusCodes();
    }

    /**
     * Create an instance of {@link EnvelopeStatusFilter }
     * 
     */
    public EnvelopeStatusFilter createEnvelopeStatusFilter() {
        return new EnvelopeStatusFilter();
    }

    /**
     * Create an instance of {@link DeleteEnvelopes }
     * 
     */
    public DeleteEnvelopes createDeleteEnvelopes() {
        return new DeleteEnvelopes();
    }

    /**
     * Create an instance of {@link DeleteEnvelopesArg }
     * 
     */
    public DeleteEnvelopesArg createDeleteEnvelopesArg() {
        return new DeleteEnvelopesArg();
    }

    /**
     * Create an instance of {@link RequestTemplatesResponse }
     * 
     */
    public RequestTemplatesResponse createRequestTemplatesResponse() {
        return new RequestTemplatesResponse();
    }

    /**
     * Create an instance of {@link EnvelopeTemplates }
     * 
     */
    public EnvelopeTemplates createEnvelopeTemplates() {
        return new EnvelopeTemplates();
    }

    /**
     * Create an instance of {@link MoveEnvelopes }
     * 
     */
    public MoveEnvelopes createMoveEnvelopes() {
        return new MoveEnvelopes();
    }

    /**
     * Create an instance of {@link MoveEnvelopesArg }
     * 
     */
    public MoveEnvelopesArg createMoveEnvelopesArg() {
        return new MoveEnvelopesArg();
    }

    /**
     * Create an instance of {@link EnvelopeAuditEventsResponse.EnvelopeAuditEventsResult }
     * 
     */
    public EnvelopeAuditEventsResponse.EnvelopeAuditEventsResult createEnvelopeAuditEventsResponseEnvelopeAuditEventsResult() {
        return new EnvelopeAuditEventsResponse.EnvelopeAuditEventsResult();
    }

    /**
     * Create an instance of {@link RequestPDFWithOptions }
     * 
     */
    public RequestPDFWithOptions createRequestPDFWithOptions() {
        return new RequestPDFWithOptions();
    }

    /**
     * Create an instance of {@link PDFOptions }
     * 
     */
    public PDFOptions createPDFOptions() {
        return new PDFOptions();
    }

    /**
     * Create an instance of {@link AcknowledgeAuthoritativeCopyExportResponse }
     * 
     */
    public AcknowledgeAuthoritativeCopyExportResponse createAcknowledgeAuthoritativeCopyExportResponse() {
        return new AcknowledgeAuthoritativeCopyExportResponse();
    }

    /**
     * Create an instance of {@link AuthoritativeCopyExportStatus }
     * 
     */
    public AuthoritativeCopyExportStatus createAuthoritativeCopyExportStatus() {
        return new AuthoritativeCopyExportStatus();
    }

    /**
     * Create an instance of {@link RequestDocumentPDFsEx }
     * 
     */
    public RequestDocumentPDFsEx createRequestDocumentPDFsEx() {
        return new RequestDocumentPDFsEx();
    }

    /**
     * Create an instance of {@link CreateAndSendEnvelopeResponse }
     * 
     */
    public CreateAndSendEnvelopeResponse createCreateAndSendEnvelopeResponse() {
        return new CreateAndSendEnvelopeResponse();
    }

    /**
     * Create an instance of {@link EnvelopeStatus }
     * 
     */
    public EnvelopeStatus createEnvelopeStatus() {
        return new EnvelopeStatus();
    }

    /**
     * Create an instance of {@link RequestStatusChangesResponse }
     * 
     */
    public RequestStatusChangesResponse createRequestStatusChangesResponse() {
        return new RequestStatusChangesResponse();
    }

    /**
     * Create an instance of {@link FilteredEnvelopeStatusChanges }
     * 
     */
    public FilteredEnvelopeStatusChanges createFilteredEnvelopeStatusChanges() {
        return new FilteredEnvelopeStatusChanges();
    }

    /**
     * Create an instance of {@link UploadTemplateResponse }
     * 
     */
    public UploadTemplateResponse createUploadTemplateResponse() {
        return new UploadTemplateResponse();
    }

    /**
     * Create an instance of {@link SaveTemplateResult }
     * 
     */
    public SaveTemplateResult createSaveTemplateResult() {
        return new SaveTemplateResult();
    }

    /**
     * Create an instance of {@link SaveTemplateResponse }
     * 
     */
    public SaveTemplateResponse createSaveTemplateResponse() {
        return new SaveTemplateResponse();
    }

    /**
     * Create an instance of {@link GetAuthenticationTokenResponse }
     * 
     */
    public GetAuthenticationTokenResponse createGetAuthenticationTokenResponse() {
        return new GetAuthenticationTokenResponse();
    }

    /**
     * Create an instance of {@link AcknowledgeAuthoritativeCopyExport }
     * 
     */
    public AcknowledgeAuthoritativeCopyExport createAcknowledgeAuthoritativeCopyExport() {
        return new AcknowledgeAuthoritativeCopyExport();
    }

    /**
     * Create an instance of {@link SynchEnvelope }
     * 
     */
    public SynchEnvelope createSynchEnvelope() {
        return new SynchEnvelope();
    }

    /**
     * Create an instance of {@link RequestStatusesExResponse }
     * 
     */
    public RequestStatusesExResponse createRequestStatusesExResponse() {
        return new RequestStatusesExResponse();
    }

    /**
     * Create an instance of {@link FilteredEnvelopeStatuses }
     * 
     */
    public FilteredEnvelopeStatuses createFilteredEnvelopeStatuses() {
        return new FilteredEnvelopeStatuses();
    }

    /**
     * Create an instance of {@link RequestStatusExResponse }
     * 
     */
    public RequestStatusExResponse createRequestStatusExResponse() {
        return new RequestStatusExResponse();
    }

    /**
     * Create an instance of {@link RequestTemplates }
     * 
     */
    public RequestTemplates createRequestTemplates() {
        return new RequestTemplates();
    }

    /**
     * Create an instance of {@link GetAccountMembershipFeaturesListResponse }
     * 
     */
    public GetAccountMembershipFeaturesListResponse createGetAccountMembershipFeaturesListResponse() {
        return new GetAccountMembershipFeaturesListResponse();
    }

    /**
     * Create an instance of {@link AccountMembershipFeaturesList }
     * 
     */
    public AccountMembershipFeaturesList createAccountMembershipFeaturesList() {
        return new AccountMembershipFeaturesList();
    }

    /**
     * Create an instance of {@link RequestStatusChanges }
     * 
     */
    public RequestStatusChanges createRequestStatusChanges() {
        return new RequestStatusChanges();
    }

    /**
     * Create an instance of {@link EnvelopeStatusChangeFilter }
     * 
     */
    public EnvelopeStatusChangeFilter createEnvelopeStatusChangeFilter() {
        return new EnvelopeStatusChangeFilter();
    }

    /**
     * Create an instance of {@link RequestStatusResponse }
     * 
     */
    public RequestStatusResponse createRequestStatusResponse() {
        return new RequestStatusResponse();
    }

    /**
     * Create an instance of {@link Ping }
     * 
     */
    public Ping createPing() {
        return new Ping();
    }

    /**
     * Create an instance of {@link DeleteAccountBrands }
     * 
     */
    public DeleteAccountBrands createDeleteAccountBrands() {
        return new DeleteAccountBrands();
    }

    /**
     * Create an instance of {@link BrandDeleteRequest }
     * 
     */
    public BrandDeleteRequest createBrandDeleteRequest() {
        return new BrandDeleteRequest();
    }

    /**
     * Create an instance of {@link GetConnectFailures }
     * 
     */
    public GetConnectFailures createGetConnectFailures() {
        return new GetConnectFailures();
    }

    /**
     * Create an instance of {@link ConnectFailuresFilter }
     * 
     */
    public ConnectFailuresFilter createConnectFailuresFilter() {
        return new ConnectFailuresFilter();
    }

    /**
     * Create an instance of {@link GetAccountSettingsListResponse }
     * 
     */
    public GetAccountSettingsListResponse createGetAccountSettingsListResponse() {
        return new GetAccountSettingsListResponse();
    }

    /**
     * Create an instance of {@link AccountSettingsList }
     * 
     */
    public AccountSettingsList createAccountSettingsList() {
        return new AccountSettingsList();
    }

    /**
     * Create an instance of {@link RemoveAddressBookItems }
     * 
     */
    public RemoveAddressBookItems createRemoveAddressBookItems() {
        return new RemoveAddressBookItems();
    }

    /**
     * Create an instance of {@link ArrayOfAddressBookRemoveItem }
     * 
     */
    public ArrayOfAddressBookRemoveItem createArrayOfAddressBookRemoveItem() {
        return new ArrayOfAddressBookRemoveItem();
    }

    /**
     * Create an instance of {@link RequestPDFWithCertResponse }
     * 
     */
    public RequestPDFWithCertResponse createRequestPDFWithCertResponse() {
        return new RequestPDFWithCertResponse();
    }

    /**
     * Create an instance of {@link EnvelopePDF }
     * 
     */
    public EnvelopePDF createEnvelopePDF() {
        return new EnvelopePDF();
    }

    /**
     * Create an instance of {@link PublishConnectFailures }
     * 
     */
    public PublishConnectFailures createPublishConnectFailures() {
        return new PublishConnectFailures();
    }

    /**
     * Create an instance of {@link PublishConnectFailuresFilter }
     * 
     */
    public PublishConnectFailuresFilter createPublishConnectFailuresFilter() {
        return new PublishConnectFailuresFilter();
    }

    /**
     * Create an instance of {@link GetStatusInDocuSignConnectFormat }
     * 
     */
    public GetStatusInDocuSignConnectFormat createGetStatusInDocuSignConnectFormat() {
        return new GetStatusInDocuSignConnectFormat();
    }

    /**
     * Create an instance of {@link PurgeDocuments }
     * 
     */
    public PurgeDocuments createPurgeDocuments() {
        return new PurgeDocuments();
    }

    /**
     * Create an instance of {@link GetConnectFailuresResponse }
     * 
     */
    public GetConnectFailuresResponse createGetConnectFailuresResponse() {
        return new GetConnectFailuresResponse();
    }

    /**
     * Create an instance of {@link ArrayOfConnectFailure }
     * 
     */
    public ArrayOfConnectFailure createArrayOfConnectFailure() {
        return new ArrayOfConnectFailure();
    }

    /**
     * Create an instance of {@link RequestDocumentPDFsExResponse }
     * 
     */
    public RequestDocumentPDFsExResponse createRequestDocumentPDFsExResponse() {
        return new RequestDocumentPDFsExResponse();
    }

    /**
     * Create an instance of {@link DocumentPDFs }
     * 
     */
    public DocumentPDFs createDocumentPDFs() {
        return new DocumentPDFs();
    }

    /**
     * Create an instance of {@link RequestDocumentPDFsResponse }
     * 
     */
    public RequestDocumentPDFsResponse createRequestDocumentPDFsResponse() {
        return new RequestDocumentPDFsResponse();
    }

    /**
     * Create an instance of {@link ExportAuthoritativeCopy }
     * 
     */
    public ExportAuthoritativeCopy createExportAuthoritativeCopy() {
        return new ExportAuthoritativeCopy();
    }

    /**
     * Create an instance of {@link GetRecipientEsignList }
     * 
     */
    public GetRecipientEsignList createGetRecipientEsignList() {
        return new GetRecipientEsignList();
    }

    /**
     * Create an instance of {@link RequestStatusesEx }
     * 
     */
    public RequestStatusesEx createRequestStatusesEx() {
        return new RequestStatusesEx();
    }

    /**
     * Create an instance of {@link GetFolderListResponse }
     * 
     */
    public GetFolderListResponse createGetFolderListResponse() {
        return new GetFolderListResponse();
    }

    /**
     * Create an instance of {@link AvailableFolders }
     * 
     */
    public AvailableFolders createAvailableFolders() {
        return new AvailableFolders();
    }

    /**
     * Create an instance of {@link RequestPDF }
     * 
     */
    public RequestPDF createRequestPDF() {
        return new RequestPDF();
    }

    /**
     * Create an instance of {@link GetRecipientAuthenticationStatusEx }
     * 
     */
    public GetRecipientAuthenticationStatusEx createGetRecipientAuthenticationStatusEx() {
        return new GetRecipientAuthenticationStatusEx();
    }

    /**
     * Create an instance of {@link GetRecipientAuthenticationStatusExArg }
     * 
     */
    public GetRecipientAuthenticationStatusExArg createGetRecipientAuthenticationStatusExArg() {
        return new GetRecipientAuthenticationStatusExArg();
    }

    /**
     * Create an instance of {@link RequestCertificate }
     * 
     */
    public RequestCertificate createRequestCertificate() {
        return new RequestCertificate();
    }

    /**
     * Create an instance of {@link SendEnvelopeResponse }
     * 
     */
    public SendEnvelopeResponse createSendEnvelopeResponse() {
        return new SendEnvelopeResponse();
    }

    /**
     * Create an instance of {@link RequestTemplateResponse }
     * 
     */
    public RequestTemplateResponse createRequestTemplateResponse() {
        return new RequestTemplateResponse();
    }

    /**
     * Create an instance of {@link EnvelopeTemplate }
     * 
     */
    public EnvelopeTemplate createEnvelopeTemplate() {
        return new EnvelopeTemplate();
    }

    /**
     * Create an instance of {@link RequestTemplateListResponse }
     * 
     */
    public RequestTemplateListResponse createRequestTemplateListResponse() {
        return new RequestTemplateListResponse();
    }

    /**
     * Create an instance of {@link ArrayOfEnvelopeTemplate }
     * 
     */
    public ArrayOfEnvelopeTemplate createArrayOfEnvelopeTemplate() {
        return new ArrayOfEnvelopeTemplate();
    }

    /**
     * Create an instance of {@link GetRecipientEsignListResponse }
     * 
     */
    public GetRecipientEsignListResponse createGetRecipientEsignListResponse() {
        return new GetRecipientEsignListResponse();
    }

    /**
     * Create an instance of {@link RecipientEsignList }
     * 
     */
    public RecipientEsignList createRecipientEsignList() {
        return new RecipientEsignList();
    }

    /**
     * Create an instance of {@link RequestSenderTokenResponse }
     * 
     */
    public RequestSenderTokenResponse createRequestSenderTokenResponse() {
        return new RequestSenderTokenResponse();
    }

    /**
     * Create an instance of {@link RequestDocumentPDFsRecipientsView }
     * 
     */
    public RequestDocumentPDFsRecipientsView createRequestDocumentPDFsRecipientsView() {
        return new RequestDocumentPDFsRecipientsView();
    }

    /**
     * Create an instance of {@link GetFolderItems }
     * 
     */
    public GetFolderItems createGetFolderItems() {
        return new GetFolderItems();
    }

    /**
     * Create an instance of {@link FolderFilter }
     * 
     */
    public FolderFilter createFolderFilter() {
        return new FolderFilter();
    }

    /**
     * Create an instance of {@link RequestPDFResponse }
     * 
     */
    public RequestPDFResponse createRequestPDFResponse() {
        return new RequestPDFResponse();
    }

    /**
     * Create an instance of {@link RequestTemplate }
     * 
     */
    public RequestTemplate createRequestTemplate() {
        return new RequestTemplate();
    }

    /**
     * Create an instance of {@link DeleteEnvelopesResponse }
     * 
     */
    public DeleteEnvelopesResponse createDeleteEnvelopesResponse() {
        return new DeleteEnvelopesResponse();
    }

    /**
     * Create an instance of {@link GetFolderList }
     * 
     */
    public GetFolderList createGetFolderList() {
        return new GetFolderList();
    }

    /**
     * Create an instance of {@link FoldersFilter }
     * 
     */
    public FoldersFilter createFoldersFilter() {
        return new FoldersFilter();
    }

    /**
     * Create an instance of {@link GetAccountMembershipFeaturesList }
     * 
     */
    public GetAccountMembershipFeaturesList createGetAccountMembershipFeaturesList() {
        return new GetAccountMembershipFeaturesList();
    }

    /**
     * Create an instance of {@link GetAuthenticationToken }
     * 
     */
    public GetAuthenticationToken createGetAuthenticationToken() {
        return new GetAuthenticationToken();
    }

    /**
     * Create an instance of {@link PublishConnectFailuresResponse }
     * 
     */
    public PublishConnectFailuresResponse createPublishConnectFailuresResponse() {
        return new PublishConnectFailuresResponse();
    }

    /**
     * Create an instance of {@link ArrayOfPublishConnectFailuresResult }
     * 
     */
    public ArrayOfPublishConnectFailuresResult createArrayOfPublishConnectFailuresResult() {
        return new ArrayOfPublishConnectFailuresResult();
    }

    /**
     * Create an instance of {@link RequestStatusesResponse }
     * 
     */
    public RequestStatusesResponse createRequestStatusesResponse() {
        return new RequestStatusesResponse();
    }

    /**
     * Create an instance of {@link RequestEnvelopeHistoryTokenResponse }
     * 
     */
    public RequestEnvelopeHistoryTokenResponse createRequestEnvelopeHistoryTokenResponse() {
        return new RequestEnvelopeHistoryTokenResponse();
    }

    /**
     * Create an instance of {@link GetRecipientListResponse }
     * 
     */
    public GetRecipientListResponse createGetRecipientListResponse() {
        return new GetRecipientListResponse();
    }

    /**
     * Create an instance of {@link RecipientList }
     * 
     */
    public RecipientList createRecipientList() {
        return new RecipientList();
    }

    /**
     * Create an instance of {@link RequestCertificateResponse }
     * 
     */
    public RequestCertificateResponse createRequestCertificateResponse() {
        return new RequestCertificateResponse();
    }

    /**
     * Create an instance of {@link PurgeDocumentsResponse }
     * 
     */
    public PurgeDocumentsResponse createPurgeDocumentsResponse() {
        return new PurgeDocumentsResponse();
    }

    /**
     * Create an instance of {@link PurgeDocumentStatus }
     * 
     */
    public PurgeDocumentStatus createPurgeDocumentStatus() {
        return new PurgeDocumentStatus();
    }

    /**
     * Create an instance of {@link CreateEnvelopeResponse }
     * 
     */
    public CreateEnvelopeResponse createCreateEnvelopeResponse() {
        return new CreateEnvelopeResponse();
    }

    /**
     * Create an instance of {@link GetStatusInDocuSignConnectFormatResponse }
     * 
     */
    public GetStatusInDocuSignConnectFormatResponse createGetStatusInDocuSignConnectFormatResponse() {
        return new GetStatusInDocuSignConnectFormatResponse();
    }

    /**
     * Create an instance of {@link DocuSignEnvelopeInformation }
     * 
     */
    public DocuSignEnvelopeInformation createDocuSignEnvelopeInformation() {
        return new DocuSignEnvelopeInformation();
    }

    /**
     * Create an instance of {@link RequestRecipientTokenResponse }
     * 
     */
    public RequestRecipientTokenResponse createRequestRecipientTokenResponse() {
        return new RequestRecipientTokenResponse();
    }

    /**
     * Create an instance of {@link RequestRecipientFaxPDF }
     * 
     */
    public RequestRecipientFaxPDF createRequestRecipientFaxPDF() {
        return new RequestRecipientFaxPDF();
    }

    /**
     * Create an instance of {@link UploadTemplate }
     * 
     */
    public UploadTemplate createUploadTemplate() {
        return new UploadTemplate();
    }

    /**
     * Create an instance of {@link ExportAuthoritativeCopyResponse }
     * 
     */
    public ExportAuthoritativeCopyResponse createExportAuthoritativeCopyResponse() {
        return new ExportAuthoritativeCopyResponse();
    }

    /**
     * Create an instance of {@link AuthoritativeCopyExportDocuments }
     * 
     */
    public AuthoritativeCopyExportDocuments createAuthoritativeCopyExportDocuments() {
        return new AuthoritativeCopyExportDocuments();
    }

    /**
     * Create an instance of {@link RemoveAddressBookItemsResponse }
     * 
     */
    public RemoveAddressBookItemsResponse createRemoveAddressBookItemsResponse() {
        return new RemoveAddressBookItemsResponse();
    }

    /**
     * Create an instance of {@link UpdateAddressBookResult }
     * 
     */
    public UpdateAddressBookResult createUpdateAddressBookResult() {
        return new UpdateAddressBookResult();
    }

    /**
     * Create an instance of {@link CreateAccountBrandsResponse }
     * 
     */
    public CreateAccountBrandsResponse createCreateAccountBrandsResponse() {
        return new CreateAccountBrandsResponse();
    }

    /**
     * Create an instance of {@link EnvelopeAuditEvents }
     * 
     */
    public EnvelopeAuditEvents createEnvelopeAuditEvents() {
        return new EnvelopeAuditEvents();
    }

    /**
     * Create an instance of {@link SaveTemplate }
     * 
     */
    public SaveTemplate createSaveTemplate() {
        return new SaveTemplate();
    }

    /**
     * Create an instance of {@link RequestEnvelopeResponse }
     * 
     */
    public RequestEnvelopeResponse createRequestEnvelopeResponse() {
        return new RequestEnvelopeResponse();
    }

    /**
     * Create an instance of {@link Envelope }
     * 
     */
    public Envelope createEnvelope() {
        return new Envelope();
    }

    /**
     * Create an instance of {@link CreateAndSendEnvelope }
     * 
     */
    public CreateAndSendEnvelope createCreateAndSendEnvelope() {
        return new CreateAndSendEnvelope();
    }

    /**
     * Create an instance of {@link UpdateAddressBookItems }
     * 
     */
    public UpdateAddressBookItems createUpdateAddressBookItems() {
        return new UpdateAddressBookItems();
    }

    /**
     * Create an instance of {@link ArrayOfAddressBookItem }
     * 
     */
    public ArrayOfAddressBookItem createArrayOfAddressBookItem() {
        return new ArrayOfAddressBookItem();
    }

    /**
     * Create an instance of {@link RequestPDFNoWaterMark }
     * 
     */
    public RequestPDFNoWaterMark createRequestPDFNoWaterMark() {
        return new RequestPDFNoWaterMark();
    }

    /**
     * Create an instance of {@link RequestRecipientToken }
     * 
     */
    public RequestRecipientToken createRequestRecipientToken() {
        return new RequestRecipientToken();
    }

    /**
     * Create an instance of {@link RequestStatusCodesResponse }
     * 
     */
    public RequestStatusCodesResponse createRequestStatusCodesResponse() {
        return new RequestStatusCodesResponse();
    }

    /**
     * Create an instance of {@link RequestSenderToken }
     * 
     */
    public RequestSenderToken createRequestSenderToken() {
        return new RequestSenderToken();
    }

    /**
     * Create an instance of {@link SynchEnvelopeResponse }
     * 
     */
    public SynchEnvelopeResponse createSynchEnvelopeResponse() {
        return new SynchEnvelopeResponse();
    }

    /**
     * Create an instance of {@link SynchEnvelopeStatus }
     * 
     */
    public SynchEnvelopeStatus createSynchEnvelopeStatus() {
        return new SynchEnvelopeStatus();
    }

    /**
     * Create an instance of {@link DeleteAccountBrandsResponse }
     * 
     */
    public DeleteAccountBrandsResponse createDeleteAccountBrandsResponse() {
        return new DeleteAccountBrandsResponse();
    }

    /**
     * Create an instance of {@link GetRecipientAuthenticationStatusExResponse }
     * 
     */
    public GetRecipientAuthenticationStatusExResponse createGetRecipientAuthenticationStatusExResponse() {
        return new GetRecipientAuthenticationStatusExResponse();
    }

    /**
     * Create an instance of {@link AuthenticationStatus }
     * 
     */
    public AuthenticationStatus createAuthenticationStatus() {
        return new AuthenticationStatus();
    }

    /**
     * Create an instance of {@link RequestStatus }
     * 
     */
    public RequestStatus createRequestStatus() {
        return new RequestStatus();
    }

    /**
     * Create an instance of {@link RequestPDFsWithOptionsResponse }
     * 
     */
    public RequestPDFsWithOptionsResponse createRequestPDFsWithOptionsResponse() {
        return new RequestPDFsWithOptionsResponse();
    }

    /**
     * Create an instance of {@link RequestCorrectTokenResponse }
     * 
     */
    public RequestCorrectTokenResponse createRequestCorrectTokenResponse() {
        return new RequestCorrectTokenResponse();
    }

    /**
     * Create an instance of {@link RequestPDFNoWaterMarkResponse }
     * 
     */
    public RequestPDFNoWaterMarkResponse createRequestPDFNoWaterMarkResponse() {
        return new RequestPDFNoWaterMarkResponse();
    }

    /**
     * Create an instance of {@link CreateAccountBrands }
     * 
     */
    public CreateAccountBrands createCreateAccountBrands() {
        return new CreateAccountBrands();
    }

    /**
     * Create an instance of {@link BrandDefinitions }
     * 
     */
    public BrandDefinitions createBrandDefinitions() {
        return new BrandDefinitions();
    }

    /**
     * Create an instance of {@link GetRecipientList }
     * 
     */
    public GetRecipientList createGetRecipientList() {
        return new GetRecipientList();
    }

    /**
     * Create an instance of {@link RequestDocumentPDFsRecipientsViewResponse }
     * 
     */
    public RequestDocumentPDFsRecipientsViewResponse createRequestDocumentPDFsRecipientsViewResponse() {
        return new RequestDocumentPDFsRecipientsViewResponse();
    }

    /**
     * Create an instance of {@link MoveEnvelopesResponse }
     * 
     */
    public MoveEnvelopesResponse createMoveEnvelopesResponse() {
        return new MoveEnvelopesResponse();
    }

    /**
     * Create an instance of {@link RequestEnvelopeHistoryToken }
     * 
     */
    public RequestEnvelopeHistoryToken createRequestEnvelopeHistoryToken() {
        return new RequestEnvelopeHistoryToken();
    }

    /**
     * Create an instance of {@link RequestEnvelopeHistoryTokenArg }
     * 
     */
    public RequestEnvelopeHistoryTokenArg createRequestEnvelopeHistoryTokenArg() {
        return new RequestEnvelopeHistoryTokenArg();
    }

    /**
     * Create an instance of {@link RequestDocumentPDFs }
     * 
     */
    public RequestDocumentPDFs createRequestDocumentPDFs() {
        return new RequestDocumentPDFs();
    }

    /**
     * Create an instance of {@link CreateEnvelopeFromTemplatesAndFormsResponse }
     * 
     */
    public CreateEnvelopeFromTemplatesAndFormsResponse createCreateEnvelopeFromTemplatesAndFormsResponse() {
        return new CreateEnvelopeFromTemplatesAndFormsResponse();
    }

    /**
     * Create an instance of {@link RequestStatuses }
     * 
     */
    public RequestStatuses createRequestStatuses() {
        return new RequestStatuses();
    }

    /**
     * Create an instance of {@link PingResponse }
     * 
     */
    public PingResponse createPingResponse() {
        return new PingResponse();
    }

    /**
     * Create an instance of {@link GetAddressBookItemsResponse }
     * 
     */
    public GetAddressBookItemsResponse createGetAddressBookItemsResponse() {
        return new GetAddressBookItemsResponse();
    }

    /**
     * Create an instance of {@link TransferEnvelopeResponse }
     * 
     */
    public TransferEnvelopeResponse createTransferEnvelopeResponse() {
        return new TransferEnvelopeResponse();
    }

    /**
     * Create an instance of {@link TransferEnvelopeStatus }
     * 
     */
    public TransferEnvelopeStatus createTransferEnvelopeStatus() {
        return new TransferEnvelopeStatus();
    }

    /**
     * Create an instance of {@link CorrectAndResendEnvelopeResponse }
     * 
     */
    public CorrectAndResendEnvelopeResponse createCorrectAndResendEnvelopeResponse() {
        return new CorrectAndResendEnvelopeResponse();
    }

    /**
     * Create an instance of {@link CorrectionStatus }
     * 
     */
    public CorrectionStatus createCorrectionStatus() {
        return new CorrectionStatus();
    }

    /**
     * Create an instance of {@link GetAddressBookItems }
     * 
     */
    public GetAddressBookItems createGetAddressBookItems() {
        return new GetAddressBookItems();
    }

    /**
     * Create an instance of {@link RequestStatusEx }
     * 
     */
    public RequestStatusEx createRequestStatusEx() {
        return new RequestStatusEx();
    }

    /**
     * Create an instance of {@link CreateEnvelopeFromTemplatesResponse }
     * 
     */
    public CreateEnvelopeFromTemplatesResponse createCreateEnvelopeFromTemplatesResponse() {
        return new CreateEnvelopeFromTemplatesResponse();
    }

    /**
     * Create an instance of {@link RequestPDFWithOptionsResponse }
     * 
     */
    public RequestPDFWithOptionsResponse createRequestPDFWithOptionsResponse() {
        return new RequestPDFWithOptionsResponse();
    }

    /**
     * Create an instance of {@link GetAccountSettingsList }
     * 
     */
    public GetAccountSettingsList createGetAccountSettingsList() {
        return new GetAccountSettingsList();
    }

    /**
     * Create an instance of {@link GetFolderItemsResponse }
     * 
     */
    public GetFolderItemsResponse createGetFolderItemsResponse() {
        return new GetFolderItemsResponse();
    }

    /**
     * Create an instance of {@link FolderResults }
     * 
     */
    public FolderResults createFolderResults() {
        return new FolderResults();
    }

    /**
     * Create an instance of {@link UpdateAddressBookItemsResponse }
     * 
     */
    public UpdateAddressBookItemsResponse createUpdateAddressBookItemsResponse() {
        return new UpdateAddressBookItemsResponse();
    }

    /**
     * Create an instance of {@link RequestRecipientFaxPDFResponse }
     * 
     */
    public RequestRecipientFaxPDFResponse createRequestRecipientFaxPDFResponse() {
        return new RequestRecipientFaxPDFResponse();
    }

    /**
     * Create an instance of {@link TransferEnvelope }
     * 
     */
    public TransferEnvelope createTransferEnvelope() {
        return new TransferEnvelope();
    }

    /**
     * Create an instance of {@link CreateEnvelopeFromTemplatesAndForms }
     * 
     */
    public CreateEnvelopeFromTemplatesAndForms createCreateEnvelopeFromTemplatesAndForms() {
        return new CreateEnvelopeFromTemplatesAndForms();
    }

    /**
     * Create an instance of {@link ArrayOfCompositeTemplate }
     * 
     */
    public ArrayOfCompositeTemplate createArrayOfCompositeTemplate() {
        return new ArrayOfCompositeTemplate();
    }

    /**
     * Create an instance of {@link RequestTemplateList }
     * 
     */
    public RequestTemplateList createRequestTemplateList() {
        return new RequestTemplateList();
    }

    /**
     * Create an instance of {@link ArrayOfString5 }
     * 
     */
    public ArrayOfString5 createArrayOfString5() {
        return new ArrayOfString5();
    }

    /**
     * Create an instance of {@link CreateEnvelope }
     * 
     */
    public CreateEnvelope createCreateEnvelope() {
        return new CreateEnvelope();
    }

    /**
     * Create an instance of {@link VoidEnvelope }
     * 
     */
    public VoidEnvelope createVoidEnvelope() {
        return new VoidEnvelope();
    }

    /**
     * Create an instance of {@link VoidEnvelopeResponse }
     * 
     */
    public VoidEnvelopeResponse createVoidEnvelopeResponse() {
        return new VoidEnvelopeResponse();
    }

    /**
     * Create an instance of {@link VoidEnvelopeStatus }
     * 
     */
    public VoidEnvelopeStatus createVoidEnvelopeStatus() {
        return new VoidEnvelopeStatus();
    }

    /**
     * Create an instance of {@link RequestPDFWithCert }
     * 
     */
    public RequestPDFWithCert createRequestPDFWithCert() {
        return new RequestPDFWithCert();
    }

    /**
     * Create an instance of {@link Reminders }
     * 
     */
    public Reminders createReminders() {
        return new Reminders();
    }

    /**
     * Create an instance of {@link ArrayOfInlineTemplate }
     * 
     */
    public ArrayOfInlineTemplate createArrayOfInlineTemplate() {
        return new ArrayOfInlineTemplate();
    }

    /**
     * Create an instance of {@link Attachment }
     * 
     */
    public Attachment createAttachment() {
        return new Attachment();
    }

    /**
     * Create an instance of {@link BrandRequestItem }
     * 
     */
    public BrandRequestItem createBrandRequestItem() {
        return new BrandRequestItem();
    }

    /**
     * Create an instance of {@link SSN9InformationInput }
     * 
     */
    public SSN9InformationInput createSSN9InformationInput() {
        return new SSN9InformationInput();
    }

    /**
     * Create an instance of {@link TemplateReferenceFieldDataDataValue }
     * 
     */
    public TemplateReferenceFieldDataDataValue createTemplateReferenceFieldDataDataValue() {
        return new TemplateReferenceFieldDataDataValue();
    }

    /**
     * Create an instance of {@link AddressBookRemoveItem }
     * 
     */
    public AddressBookRemoveItem createAddressBookRemoveItem() {
        return new AddressBookRemoveItem();
    }

    /**
     * Create an instance of {@link RecipientPhoneAuthentication }
     * 
     */
    public RecipientPhoneAuthentication createRecipientPhoneAuthentication() {
        return new RecipientPhoneAuthentication();
    }

    /**
     * Create an instance of {@link AddressBookItem }
     * 
     */
    public AddressBookItem createAddressBookItem() {
        return new AddressBookItem();
    }

    /**
     * Create an instance of {@link ArrayOfRecipientEvent }
     * 
     */
    public ArrayOfRecipientEvent createArrayOfRecipientEvent() {
        return new ArrayOfRecipientEvent();
    }

    /**
     * Create an instance of {@link ArrayOfFolderItem }
     * 
     */
    public ArrayOfFolderItem createArrayOfFolderItem() {
        return new ArrayOfFolderItem();
    }

    /**
     * Create an instance of {@link RecipientStatusEsignAgreementInformation }
     * 
     */
    public RecipientStatusEsignAgreementInformation createRecipientStatusEsignAgreementInformation() {
        return new RecipientStatusEsignAgreementInformation();
    }

    /**
     * Create an instance of {@link CompositeTemplate }
     * 
     */
    public CompositeTemplate createCompositeTemplate() {
        return new CompositeTemplate();
    }

    /**
     * Create an instance of {@link EventResult }
     * 
     */
    public EventResult createEventResult() {
        return new EventResult();
    }

    /**
     * Create an instance of {@link RecipientCorrectionStatus }
     * 
     */
    public RecipientCorrectionStatus createRecipientCorrectionStatus() {
        return new RecipientCorrectionStatus();
    }

    /**
     * Create an instance of {@link SSN4Information }
     * 
     */
    public SSN4Information createSSN4Information() {
        return new SSN4Information();
    }

    /**
     * Create an instance of {@link EnvelopeSettings }
     * 
     */
    public EnvelopeSettings createEnvelopeSettings() {
        return new EnvelopeSettings();
    }

    /**
     * Create an instance of {@link Expirations }
     * 
     */
    public Expirations createExpirations() {
        return new Expirations();
    }

    /**
     * Create an instance of {@link DOBInformationInput }
     * 
     */
    public DOBInformationInput createDOBInformationInput() {
        return new DOBInformationInput();
    }

    /**
     * Create an instance of {@link DocumentPDF }
     * 
     */
    public DocumentPDF createDocumentPDF() {
        return new DocumentPDF();
    }

    /**
     * Create an instance of {@link FolderItem }
     * 
     */
    public FolderItem createFolderItem() {
        return new FolderItem();
    }

    /**
     * Create an instance of {@link TemplateReferenceFieldData }
     * 
     */
    public TemplateReferenceFieldData createTemplateReferenceFieldData() {
        return new TemplateReferenceFieldData();
    }

    /**
     * Create an instance of {@link Notification }
     * 
     */
    public Notification createNotification() {
        return new Notification();
    }

    /**
     * Create an instance of {@link FormDataXfdf }
     * 
     */
    public FormDataXfdf createFormDataXfdf() {
        return new FormDataXfdf();
    }

    /**
     * Create an instance of {@link RecipientCorrectionCorrectedCaptiveInfo }
     * 
     */
    public RecipientCorrectionCorrectedCaptiveInfo createRecipientCorrectionCorrectedCaptiveInfo() {
        return new RecipientCorrectionCorrectedCaptiveInfo();
    }

    /**
     * Create an instance of {@link RecipientCaptiveInfo }
     * 
     */
    public RecipientCaptiveInfo createRecipientCaptiveInfo() {
        return new RecipientCaptiveInfo();
    }

    /**
     * Create an instance of {@link ArrayOfBrandResultItem }
     * 
     */
    public ArrayOfBrandResultItem createArrayOfBrandResultItem() {
        return new ArrayOfBrandResultItem();
    }

    /**
     * Create an instance of {@link DOBInformation }
     * 
     */
    public DOBInformation createDOBInformation() {
        return new DOBInformation();
    }

    /**
     * Create an instance of {@link ArrayOfMatchBox }
     * 
     */
    public ArrayOfMatchBox createArrayOfMatchBox() {
        return new ArrayOfMatchBox();
    }

    /**
     * Create an instance of {@link ArrayOfDocumentStatus }
     * 
     */
    public ArrayOfDocumentStatus createArrayOfDocumentStatus() {
        return new ArrayOfDocumentStatus();
    }

    /**
     * Create an instance of {@link ArrayOfEnvelopeStatusCode }
     * 
     */
    public ArrayOfEnvelopeStatusCode createArrayOfEnvelopeStatusCode() {
        return new ArrayOfEnvelopeStatusCode();
    }

    /**
     * Create an instance of {@link IDCheckInformation }
     * 
     */
    public IDCheckInformation createIDCheckInformation() {
        return new IDCheckInformation();
    }

    /**
     * Create an instance of {@link RecipientStatus }
     * 
     */
    public RecipientStatus createRecipientStatus() {
        return new RecipientStatus();
    }

    /**
     * Create an instance of {@link ServerTemplate }
     * 
     */
    public ServerTemplate createServerTemplate() {
        return new ServerTemplate();
    }

    /**
     * Create an instance of {@link IDCheckInformationInput }
     * 
     */
    public IDCheckInformationInput createIDCheckInformationInput() {
        return new IDCheckInformationInput();
    }

    /**
     * Create an instance of {@link RecipientCorrection }
     * 
     */
    public RecipientCorrection createRecipientCorrection() {
        return new RecipientCorrection();
    }

    /**
     * Create an instance of {@link RecipientEsign }
     * 
     */
    public RecipientEsign createRecipientEsign() {
        return new RecipientEsign();
    }

    /**
     * Create an instance of {@link ArrayOfEnvelopeStatusChange }
     * 
     */
    public ArrayOfEnvelopeStatusChange createArrayOfEnvelopeStatusChange() {
        return new ArrayOfEnvelopeStatusChange();
    }

    /**
     * Create an instance of {@link ArrayOfRecipient }
     * 
     */
    public ArrayOfRecipient createArrayOfRecipient() {
        return new ArrayOfRecipient();
    }

    /**
     * Create an instance of {@link AddressBookPhoneNumber }
     * 
     */
    public AddressBookPhoneNumber createAddressBookPhoneNumber() {
        return new AddressBookPhoneNumber();
    }

    /**
     * Create an instance of {@link EnvelopeStatusFilterBeginDateTime }
     * 
     */
    public EnvelopeStatusFilterBeginDateTime createEnvelopeStatusFilterBeginDateTime() {
        return new EnvelopeStatusFilterBeginDateTime();
    }

    /**
     * Create an instance of {@link ArrayOfTab }
     * 
     */
    public ArrayOfTab createArrayOfTab() {
        return new ArrayOfTab();
    }

    /**
     * Create an instance of {@link VaultingOptions }
     * 
     */
    public VaultingOptions createVaultingOptions() {
        return new VaultingOptions();
    }

    /**
     * Create an instance of {@link ArrayOfFolder }
     * 
     */
    public ArrayOfFolder createArrayOfFolder() {
        return new ArrayOfFolder();
    }

    /**
     * Create an instance of {@link AddressInformation }
     * 
     */
    public AddressInformation createAddressInformation() {
        return new AddressInformation();
    }

    /**
     * Create an instance of {@link AnchorTab }
     * 
     */
    public AnchorTab createAnchorTab() {
        return new AnchorTab();
    }

    /**
     * Create an instance of {@link VaultingDetails }
     * 
     */
    public VaultingDetails createVaultingDetails() {
        return new VaultingDetails();
    }

    /**
     * Create an instance of {@link MatchBox }
     * 
     */
    public MatchBox createMatchBox() {
        return new MatchBox();
    }

    /**
     * Create an instance of {@link UserInfo }
     * 
     */
    public UserInfo createUserInfo() {
        return new UserInfo();
    }

    /**
     * Create an instance of {@link RecipientSignatureInfo }
     * 
     */
    public RecipientSignatureInfo createRecipientSignatureInfo() {
        return new RecipientSignatureInfo();
    }

    /**
     * Create an instance of {@link ArrayOfTemplateReferenceFieldDataDataValue }
     * 
     */
    public ArrayOfTemplateReferenceFieldDataDataValue createArrayOfTemplateReferenceFieldDataDataValue() {
        return new ArrayOfTemplateReferenceFieldDataDataValue();
    }

    /**
     * Create an instance of {@link ArrayOfCustomField }
     * 
     */
    public ArrayOfCustomField createArrayOfCustomField() {
        return new ArrayOfCustomField();
    }

    /**
     * Create an instance of {@link SSN9Information }
     * 
     */
    public SSN9Information createSSN9Information() {
        return new SSN9Information();
    }

    /**
     * Create an instance of {@link ConnectFailure }
     * 
     */
    public ConnectFailure createConnectFailure() {
        return new ConnectFailure();
    }

    /**
     * Create an instance of {@link ArrayOfEnvelopeStatus }
     * 
     */
    public ArrayOfEnvelopeStatus createArrayOfEnvelopeStatus() {
        return new ArrayOfEnvelopeStatus();
    }

    /**
     * Create an instance of {@link FormDataXfdfField }
     * 
     */
    public FormDataXfdfField createFormDataXfdfField() {
        return new FormDataXfdfField();
    }

    /**
     * Create an instance of {@link RecipientEmailNotification }
     * 
     */
    public RecipientEmailNotification createRecipientEmailNotification() {
        return new RecipientEmailNotification();
    }

    /**
     * Create an instance of {@link TemplateReference }
     * 
     */
    public TemplateReference createTemplateReference() {
        return new TemplateReference();
    }

    /**
     * Create an instance of {@link ArrayOfAttachment }
     * 
     */
    public ArrayOfAttachment createArrayOfAttachment() {
        return new ArrayOfAttachment();
    }

    /**
     * Create an instance of {@link ErrorDetails }
     * 
     */
    public ErrorDetails createErrorDetails() {
        return new ErrorDetails();
    }

    /**
     * Create an instance of {@link BrandResultItem }
     * 
     */
    public BrandResultItem createBrandResultItem() {
        return new BrandResultItem();
    }

    /**
     * Create an instance of {@link DocumentStatus }
     * 
     */
    public DocumentStatus createDocumentStatus() {
        return new DocumentStatus();
    }

    /**
     * Create an instance of {@link ArrayOfDocumentPDF }
     * 
     */
    public ArrayOfDocumentPDF createArrayOfDocumentPDF() {
        return new ArrayOfDocumentPDF();
    }

    /**
     * Create an instance of {@link InlineTemplate }
     * 
     */
    public InlineTemplate createInlineTemplate() {
        return new InlineTemplate();
    }

    /**
     * Create an instance of {@link Tab }
     * 
     */
    public Tab createTab() {
        return new Tab();
    }

    /**
     * Create an instance of {@link Recipient }
     * 
     */
    public Recipient createRecipient() {
        return new Recipient();
    }

    /**
     * Create an instance of {@link PublishConnectFailuresResult }
     * 
     */
    public PublishConnectFailuresResult createPublishConnectFailuresResult() {
        return new PublishConnectFailuresResult();
    }

    /**
     * Create an instance of {@link ArrayOfFormDataXfdfField }
     * 
     */
    public ArrayOfFormDataXfdfField createArrayOfFormDataXfdfField() {
        return new ArrayOfFormDataXfdfField();
    }

    /**
     * Create an instance of {@link ArrayOfRecipientEsign }
     * 
     */
    public ArrayOfRecipientEsign createArrayOfRecipientEsign() {
        return new ArrayOfRecipientEsign();
    }

    /**
     * Create an instance of {@link CustomField }
     * 
     */
    public CustomField createCustomField() {
        return new CustomField();
    }

    /**
     * Create an instance of {@link ArrayOfTemplateReferenceRoleAssignment }
     * 
     */
    public ArrayOfTemplateReferenceRoleAssignment createArrayOfTemplateReferenceRoleAssignment() {
        return new ArrayOfTemplateReferenceRoleAssignment();
    }

    /**
     * Create an instance of {@link ArrayOfString }
     * 
     */
    public ArrayOfString createArrayOfString() {
        return new ArrayOfString();
    }

    /**
     * Create an instance of {@link ArrayOfBrandRequestItem }
     * 
     */
    public ArrayOfBrandRequestItem createArrayOfBrandRequestItem() {
        return new ArrayOfBrandRequestItem();
    }

    /**
     * Create an instance of {@link ArrayOfTabStatus }
     * 
     */
    public ArrayOfTabStatus createArrayOfTabStatus() {
        return new ArrayOfTabStatus();
    }

    /**
     * Create an instance of {@link ArrayOfDocument }
     * 
     */
    public ArrayOfDocument createArrayOfDocument() {
        return new ArrayOfDocument();
    }

    /**
     * Create an instance of {@link EnvelopeTemplateDefinition }
     * 
     */
    public EnvelopeTemplateDefinition createEnvelopeTemplateDefinition() {
        return new EnvelopeTemplateDefinition();
    }

    /**
     * Create an instance of {@link ArrayOfString3 }
     * 
     */
    public ArrayOfString3 createArrayOfString3() {
        return new ArrayOfString3();
    }

    /**
     * Create an instance of {@link ArrayOfString4 }
     * 
     */
    public ArrayOfString4 createArrayOfString4() {
        return new ArrayOfString4();
    }

    /**
     * Create an instance of {@link ArrayOfString1 }
     * 
     */
    public ArrayOfString1 createArrayOfString1() {
        return new ArrayOfString1();
    }

    /**
     * Create an instance of {@link ArrayOfString2 }
     * 
     */
    public ArrayOfString2 createArrayOfString2() {
        return new ArrayOfString2();
    }

    /**
     * Create an instance of {@link AccountSetting }
     * 
     */
    public AccountSetting createAccountSetting() {
        return new AccountSetting();
    }

    /**
     * Create an instance of {@link AddressInformationInput }
     * 
     */
    public AddressInformationInput createAddressInformationInput() {
        return new AddressInformationInput();
    }

    /**
     * Create an instance of {@link TemplateReferenceRoleAssignment }
     * 
     */
    public TemplateReferenceRoleAssignment createTemplateReferenceRoleAssignment() {
        return new TemplateReferenceRoleAssignment();
    }

    /**
     * Create an instance of {@link ArrayOfEnvelopeEvent }
     * 
     */
    public ArrayOfEnvelopeEvent createArrayOfEnvelopeEvent() {
        return new ArrayOfEnvelopeEvent();
    }

    /**
     * Create an instance of {@link SSN4InformationInput }
     * 
     */
    public SSN4InformationInput createSSN4InformationInput() {
        return new SSN4InformationInput();
    }

    /**
     * Create an instance of {@link ArrayOfServerTemplate }
     * 
     */
    public ArrayOfServerTemplate createArrayOfServerTemplate() {
        return new ArrayOfServerTemplate();
    }

    /**
     * Create an instance of {@link Document }
     * 
     */
    public Document createDocument() {
        return new Document();
    }

    /**
     * Create an instance of {@link Folder }
     * 
     */
    public Folder createFolder() {
        return new Folder();
    }

    /**
     * Create an instance of {@link EventNotification }
     * 
     */
    public EventNotification createEventNotification() {
        return new EventNotification();
    }

    /**
     * Create an instance of {@link FolderTypeInfo }
     * 
     */
    public FolderTypeInfo createFolderTypeInfo() {
        return new FolderTypeInfo();
    }

    /**
     * Create an instance of {@link EnvelopeStatusChange }
     * 
     */
    public EnvelopeStatusChange createEnvelopeStatusChange() {
        return new EnvelopeStatusChange();
    }

    /**
     * Create an instance of {@link FormData }
     * 
     */
    public FormData createFormData() {
        return new FormData();
    }

    /**
     * Create an instance of {@link ArrayOfAddressBookItem1 }
     * 
     */
    public ArrayOfAddressBookItem1 createArrayOfAddressBookItem1() {
        return new ArrayOfAddressBookItem1();
    }

    /**
     * Create an instance of {@link TabStatus }
     * 
     */
    public TabStatus createTabStatus() {
        return new TabStatus();
    }

    /**
     * Create an instance of {@link ArrayOfRecipientStatus }
     * 
     */
    public ArrayOfRecipientStatus createArrayOfRecipientStatus() {
        return new ArrayOfRecipientStatus();
    }

    /**
     * Create an instance of {@link EnvelopeEvent }
     * 
     */
    public EnvelopeEvent createEnvelopeEvent() {
        return new EnvelopeEvent();
    }

    /**
     * Create an instance of {@link ArrayOfRecipientCorrection }
     * 
     */
    public ArrayOfRecipientCorrection createArrayOfRecipientCorrection() {
        return new ArrayOfRecipientCorrection();
    }

    /**
     * Create an instance of {@link PDFMetaDataTemplate }
     * 
     */
    public PDFMetaDataTemplate createPDFMetaDataTemplate() {
        return new PDFMetaDataTemplate();
    }

    /**
     * Create an instance of {@link ArrayOfRecipientCorrectionStatus }
     * 
     */
    public ArrayOfRecipientCorrectionStatus createArrayOfRecipientCorrectionStatus() {
        return new ArrayOfRecipientCorrectionStatus();
    }

    /**
     * Create an instance of {@link RecipientEvent }
     * 
     */
    public RecipientEvent createRecipientEvent() {
        return new RecipientEvent();
    }

    /**
     * Create an instance of {@link ArrayOfPositiveInteger }
     * 
     */
    public ArrayOfPositiveInteger createArrayOfPositiveInteger() {
        return new ArrayOfPositiveInteger();
    }

}
