/**
 * @copyright Copyright (C) DocuSign, Inc.  All rights reserved.
 *
 * This source code is intended only as a supplement to DocuSign SDK
 * and/or on-line documentation.
 * 
 * This sample is designed to demonstrate DocuSign features and is not intended
 * for production use. Code and policy for a production application must be
 * developed to meet the specific data and security requirements of the
 * application.
 *
 * THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
 * KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
 * PARTICULAR PURPOSE.
 */
package net.docusign.credential;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 2.3.2
 * 2011-03-04T13:09:32.992-08:00
 * Generated source version: 2.3.2
 * 
 */
 
@WebService(targetNamespace = "http://www.docusign.net/API/Credential", name = "CredentialSoap")
@XmlSeeAlso({ObjectFactory.class})
public interface CredentialSoap {

    @WebResult(name = "PingResult", targetNamespace = "http://www.docusign.net/API/Credential")
    @RequestWrapper(localName = "Ping", targetNamespace = "http://www.docusign.net/API/Credential", className = "net.docusign.credential.Ping")
    @WebMethod(operationName = "Ping", action = "http://www.docusign.net/API/Credential/Ping")
    @ResponseWrapper(localName = "PingResponse", targetNamespace = "http://www.docusign.net/API/Credential", className = "net.docusign.credential.PingResponse")
    public boolean ping();

    @WebResult(name = "RequestSenderTokenResult", targetNamespace = "http://www.docusign.net/API/Credential")
    @RequestWrapper(localName = "RequestSenderToken", targetNamespace = "http://www.docusign.net/API/Credential", className = "net.docusign.credential.RequestSenderToken")
    @WebMethod(operationName = "RequestSenderToken", action = "http://www.docusign.net/API/Credential/RequestSenderToken")
    @ResponseWrapper(localName = "RequestSenderTokenResponse", targetNamespace = "http://www.docusign.net/API/Credential", className = "net.docusign.credential.RequestSenderTokenResponse")
    public java.lang.String requestSenderToken(
        @WebParam(name = "Email", targetNamespace = "http://www.docusign.net/API/Credential")
        java.lang.String email,
        @WebParam(name = "Password", targetNamespace = "http://www.docusign.net/API/Credential")
        java.lang.String password,
        @WebParam(name = "AccountID", targetNamespace = "http://www.docusign.net/API/Credential")
        java.lang.String accountID,
        @WebParam(name = "EnvelopeID", targetNamespace = "http://www.docusign.net/API/Credential")
        java.lang.String envelopeID,
        @WebParam(name = "ReturnURL", targetNamespace = "http://www.docusign.net/API/Credential")
        java.lang.String returnURL
    );

    @WebResult(name = "LoginResult", targetNamespace = "http://www.docusign.net/API/Credential")
    @RequestWrapper(localName = "Login", targetNamespace = "http://www.docusign.net/API/Credential", className = "net.docusign.credential.Login")
    @WebMethod(operationName = "Login", action = "http://www.docusign.net/API/Credential/Login")
    @ResponseWrapper(localName = "LoginResponse", targetNamespace = "http://www.docusign.net/API/Credential", className = "net.docusign.credential.LoginResponse")
    public net.docusign.credential.LoginResponse.LoginResult login(
        @WebParam(name = "Email", targetNamespace = "http://www.docusign.net/API/Credential")
        java.lang.String email,
        @WebParam(name = "Password", targetNamespace = "http://www.docusign.net/API/Credential")
        java.lang.String password
    );

    @WebResult(name = "GetAuthenticationTokenResult", targetNamespace = "http://www.docusign.net/API/Credential")
    @RequestWrapper(localName = "GetAuthenticationToken", targetNamespace = "http://www.docusign.net/API/Credential", className = "net.docusign.credential.GetAuthenticationToken")
    @WebMethod(operationName = "GetAuthenticationToken", action = "http://www.docusign.net/API/Credential/GetAuthenticationToken")
    @ResponseWrapper(localName = "GetAuthenticationTokenResponse", targetNamespace = "http://www.docusign.net/API/Credential", className = "net.docusign.credential.GetAuthenticationTokenResponse")
    public java.lang.String getAuthenticationToken(
        @WebParam(name = "Email", targetNamespace = "http://www.docusign.net/API/Credential")
        java.lang.String email,
        @WebParam(name = "Password", targetNamespace = "http://www.docusign.net/API/Credential")
        java.lang.String password,
        @WebParam(name = "AccountID", targetNamespace = "http://www.docusign.net/API/Credential")
        java.lang.String accountID,
        @WebParam(name = "GoToEnvelopeID", targetNamespace = "http://www.docusign.net/API/Credential")
        java.lang.String goToEnvelopeID
    );

    @WebResult(name = "RequestCorrectTokenResult", targetNamespace = "http://www.docusign.net/API/Credential")
    @RequestWrapper(localName = "RequestCorrectToken", targetNamespace = "http://www.docusign.net/API/Credential", className = "net.docusign.credential.RequestCorrectToken")
    @WebMethod(operationName = "RequestCorrectToken", action = "http://www.docusign.net/API/Credential/RequestCorrectToken")
    @ResponseWrapper(localName = "RequestCorrectTokenResponse", targetNamespace = "http://www.docusign.net/API/Credential", className = "net.docusign.credential.RequestCorrectTokenResponse")
    public java.lang.String requestCorrectToken(
        @WebParam(name = "Email", targetNamespace = "http://www.docusign.net/API/Credential")
        java.lang.String email,
        @WebParam(name = "Password", targetNamespace = "http://www.docusign.net/API/Credential")
        java.lang.String password,
        @WebParam(name = "EnvelopeID", targetNamespace = "http://www.docusign.net/API/Credential")
        java.lang.String envelopeID,
        @WebParam(name = "SuppressNavigation", targetNamespace = "http://www.docusign.net/API/Credential")
        boolean suppressNavigation,
        @WebParam(name = "ReturnURL", targetNamespace = "http://www.docusign.net/API/Credential")
        java.lang.String returnURL
    );
}
